package cn.com.pc.penguin.service;

import org.apache.lucene.search.Query;
import org.apache.lucene.search.SortField;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: huangqinghe
 * To change this template use File | Settings | File Templates.
 */
public abstract class SearchArgs {

    public static final int DEFAULT_SEARCH_COUNT = 20;
	/**
	 * Search Type
	 * @return
	 */
	public abstract SearchType getSearchType();

	public abstract QueryBuilder getQueryBuilder();

	private int offset; // start
	private int limit = DEFAULT_SEARCH_COUNT; // default 20 //number
	// sort
	private SortField[] sortFields;

    private String valueField;

	/**
	 * for auto completion, auto suggestion, spell correction, partial match
	 * etc.
	 */
	private String track_keyword;

	public String getTrack_keyword() {
		return track_keyword;
	}

	public void setTrack_keyword(String track_keyword) {
		this.track_keyword = track_keyword;
	}

    public int getOffset() {
        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public SortField[] getSortFields() {
		return sortFields;
	}

	public void setSortFields(SortField[] sortFields) {
		this.sortFields = sortFields;
	}

    public String getValueField() {
        return valueField;
    }

    public void setValueField(String valueField) {
        this.valueField = valueField;
    }
}
